### Constructor

# Gtk KeyvalTrigger new

#### Declaration [src]

    GtkShortcutTrigger*
    gtk_keyval_trigger_new (
      guint keyval,
      GdkModifierType modifiers
    )

#### Description [src]

Creates a `GtkShortcutTrigger` that will trigger whenever the key with the given `keyval` and `modifiers` is pressed.

#### Parameters

`keyval` | `guint`
| The keyval to trigger for.
`modifiers` | `GdkModifierType`
| The modifiers that need to be present.

#### Return value

Returns: | `GtkShortcutTrigger`
| A new `GtkShortcutTrigger`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.